Subject: CCL: Review on Postscript to PCX

From: "Artem R. Oganov" <[email-masked]>
Date: Fri, 4 Feb 2000 18:10:21 -0000

Dear all,

Many thanks for a number of replies with useful suggestions. Below 
you'll find a review of these suggestions.

I have already tried today Ghostscript under Win98, which is a free
program, and it works well and is quite transparent.

Artem

**************************************************
Artem R. Oganov,
Crystallography and Mineral Physics,
Dept. of Geological Sciences,
University College London,
Gower Street,
London WC1E 6BT,
U.K.
E-mail : [email-masked]
Tel. : +44 (020)-7679-3449
Fax : +44 (020)-7679-1612
http://slamdunk.geol.ucl.ac.uk/~artem
**************************************************
No. 1

I have found "xv" to be a very nice software to convert .ps files to .gif,
.jpeg etc. I am not sure whether it is freeware. There is also some loss
of resolution in converting file formats.
Good Luck

Venkataraman  Pallassana
E-mail : [email-masked]
-------------------------------------------------------------------------=
----

No. 2

I use Inso Corporation's ImageStream 97 for Microsoft Office .  It is a
set of filters for use with WORD, POWERPOINT etc.  It will convert *.ps
into forms that can be used by other programs.  From their literature,
here is a sub-set of the filters:

    AI      Adobe Illustrator File Format  (version 6.0)
    CMX     Corel ClipArt Format (version 5)
    DSF     Micrografx Designer 6.0 (Win95)
    DWG     AutoCAD Native Drawing Format (versions 12 & 13)
    EPS     Encapsulated Postscript File
    GDF     IBM Graphics Data Format (GDDM)
    IGES    Initial Graphics Exchange Specification
    MET     OS/2 PM Metafile
    PDF     Portable Document Format (Acrobat version 2.0)
    PIC     Lotus 123 Picture File Format
    PNG     Portable Network Graphics/Internet Format
    PS*     ImageStream PS (Level 2 PostScript Interpretation)
    RAS     Sun Raster File Format
    XBM     X-Windows Bitmap
    XPM     X-Windows Pixelmap
    XWD     X-Windows Dump

    Jimmy Stewart    E-mail:  [email-masked]
-------------------------------------------------------------------------=
------
No. 3

Though not straightforward and not for free - I use Coreldraw
for that kind of things.

Peter Burger
E-mail : [email-masked]
-------------------------------------------------------------------------=
-----
No. 4

I think Ghostscript/GSview will probably do this.
Certainly it can get you to bmp and pcx if I remember correctly.
See  www.cs.wisc.edu/~ghost

Rob Bell
E-mail: [email-masked]
-------------------------------------------------------------------------=
-----
No. 5
A **high-end** solution is PhotoShop. It will interpret and
rasterize postscript files beautifully. And it will manipulate and
output raster formats to your heart's content.

Another approach is to use a PS drawing program such as
CorelDraw, Illustrator, Freehand, etc.
These will allow you to display and edit the postscript contents
and export to all popular raster image formats. However palette
and image manipulation tools are not nearly as advanced as PhotoShop.
The latest versions of these programs can be quite expensive,
however, older versions (which are quite capable) are generally
available and much cheaper.

A potentially free method is to use a PS interpreter utility
such as GhostScript/GhostView/GSView (available on the Web).
Just read the PS file and display it on your screen.
It supports standard Copy and Paste operations by placing a
bmp file in the Clipboard.

James Givens [email-masked]
----------------------------------------------------------------

No. 6

Use ghostscript, a.k.a. gs; on my Linux system, gs --help shows:
Rick Venable                 
E-mail : [email-masked]
---------------------------------------------------------------

No. 7
The program GhostScript will do this by "printing" to a "pcx", "bmp" or
"jpeg" device.  GhostScript and GhostView are available for a number of
platforms.  Information is available at:
http://www.cs.wisc.edu/~ghost/aladdin/

Steve Andruski
E-mail:  [email-masked]
-----------------------------------------------------------------

No. 8
gs (aka ghostscript) !
The Gimp, xv, ..., any good graphics program :-)

Jochen Kipper
[email-masked]
----------------------------------------------------------------

No. 9

Photoshop.

Marcel Swart
E-mail : [email-masked]
----------------------------------------------------------------

No. 10

Corel Draw has a usable postscript interpreter: you can import postcript
as vector(!) graphics, doing some work on it(!) and export it as raster
graphics (bmp, png,
gif, ... whatever you need).
CorelDraw is a windows program but there is also a Linux-Version in the
pipe (last week
freely available as a beta-Version from corel.com, but i don't have it).

Bernd Melchers
E-mail : [email-masked]

----------------------------------------------------------------
No. 11

Corel Draw 8 does it all...

Igor Shamovsky
E-mail : [email-masked]

----------------------------------------------------------------

No. 12

If you use Linux try the GIMP (Gnu Image manipulation Program). It can do what
you want and much more. it is free.
You can find detailed information about it at http://www.gimp.org

Ivan Rossi
E-mail : [email-masked]
---------------------------------------------------------------

No. 13

try GIMP:  http://www.gimp.org

Ryszard Czerminski  
E-mail : [email-masked]

---------------------------------------------------------------